Bug 848105 - [abrt] rygel-0.14.2-1.fc17: Process /usr/bin/rygel was killed by signal 11 (SIGSEGV)
[abrt] rygel-0.14.2-1.fc17: Process /usr/bin/rygel was killed by signal 11 (S...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rygel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:670343e25550c4e7cb4770093d2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 11:54 EDT by Misha Shnurapet
Modified: 2013-08-01 04:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:26:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (23.54 KB, text/plain)
2012-08-14 11:54 EDT, Misha Shnurapet
no flags Details
File: dso_list (5.18 KB, text/plain)
2012-08-14 11:54 EDT, Misha Shnurapet
no flags Details
File: smolt_data (3.02 KB, text/plain)
2012-08-14 11:54 EDT, Misha Shnurapet
no flags Details
File: backtrace (21.25 KB, text/plain)
2012-08-14 11:54 EDT, Misha Shnurapet
no flags Details

  None (edit)
Description Misha Shnurapet 2012-08-14 11:54:22 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/rygel
crash_function: rygel_mpris_plugin_schemes_to_protocols
executable:     /usr/bin/rygel
kernel:         3.5.1-1.fc17.x86_64
pid:            2784
pwd:            /
remote_result:  NOTFOUND
time:           Ср. 15 авг. 2012 00:24:55
uid:            1000

backtrace:      Text file, 21761 bytes
dso_list:       Text file, 5304 bytes
maps:           Text file, 24108 bytes
smolt_data:     Binary file, 3093 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/misha/2

core_backtrace:
:5a2dd7b3bb73213fba8b22e890766d00d8f3c104 0x6754 rygel_mpris_plugin_construct librygel-mpris.so -
:5a2dd7b3bb73213fba8b22e890766d00d8f3c104 0x6c00 - librygel-mpris.so -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6cfb7 g_simple_async_result_complete libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6d0b9 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:7da81b1159da33c2eca56aacb8d7b437e5bc06f0 0x16c04 main [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-gmzVqwCQ1B,guid=49a38cbaada959ccb6144d6200000055
:XDG_RUNTIME_DIR=/run/user/misha
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:SSH_AUTH_SOCK=/run/user/misha/keyring-1otkey/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2479,unix/unix:/tmp/.ICE-unix/2479
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=misha
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/misha/keyring-1otkey/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gmzVqwCQ1B,guid=49a38cbaada959ccb6144d6200000055
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-misha-rY7JE7/database
:USER=misha
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=2475
:SHLVL=1
:PWD=/
:GDM_LANG=ru_RU.utf8
:GNOME_KEYRING_CONTROL=/run/user/misha/keyring-1otkey
:LANG=ru_RU.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=misha
:HOME=/home/misha

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30935                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30935                30935                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:socket:[25639]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[25642]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[25646]
:pos:	0
:flags:	02004002
:11:socket:[25647]
:pos:	0
:flags:	02004002
:12:socket:[25648]
:pos:	0
:flags:	02004002
:13:socket:[25650]
:pos:	0
:flags:	02004002
:14:socket:[25651]
:pos:	0
:flags:	02004002
:15:socket:[25652]
:pos:	0
:flags:	02004002
:16:/home/misha/.cache/rygel/media-export.db
:pos:	71966720
:flags:	02100002
:17:socket:[26849]
:pos:	0
:flags:	02004002
:18:socket:[26243]
:pos:	0
:flags:	02004002
:19:socket:[147301]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 15 00:24:55 saw kernel: [15263.908518] rygel[2784]: segfault at 0 ip 00007f2e50509754 sp 00007fff8c8d40d0 error 4 in librygel-mpris.so[7f2e50503000+e000]
:Aug 15 00:25:01 saw abrt[10876]: Saved core dump of pid 2784 (/usr/bin/rygel) to /var/spool/abrt/ccpp-2012-08-15-00:24:55-2784 (220770304 bytes)
Comment 1 Misha Shnurapet 2012-08-14 11:54:27 EDT
Created attachment 604339 [details]
File: maps
Comment 2 Misha Shnurapet 2012-08-14 11:54:30 EDT
Created attachment 604340 [details]
File: dso_list
Comment 3 Misha Shnurapet 2012-08-14 11:54:32 EDT
Created attachment 604341 [details]
File: smolt_data
Comment 4 Misha Shnurapet 2012-08-14 11:54:36 EDT
Created attachment 604342 [details]
File: backtrace
Comment 5 S.R.Pardá 2012-09-29 14:39:28 EDT
Nothing special. Rygel was streaming music.

backtrace_rating: 4
Package: rygel-0.14.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Jens Georg 2012-11-13 12:27:44 EST
That's probably one of the "some MPRIS implementation not implementing mandatory properties" we fixed in 0.16.
Comment 7 Fedora End Of Life 2013-07-03 22:28:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 04:26:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.